Summary: A library to handle various audio file formats.
Name: libsndfile
Version: 1.0.26
Release: 1
Copyright: LGPL
Group: Libraries/Sound
Source0: http://www.mega-nerd.com/libsndfile/%{name}-%{version}.tar.gz
Patch0: %{name}-%{version}-aix.patch
URL: http://www.mega-nerd.com/libsndfile/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: make

BuildRequires: sqlite-devel >= 3.9.2.0-1
BuildRequires: flac-devel >= 1.3.1-1
BuildRequires: libogg-devel >= 1.3.2-1
BuildRequires: libvorbis-devel >= 1.3.5-1
Requires: sqlite >= 3.9.2.0-1
Requires: flac >= 1.3.1-1
Requires: libogg >= 1.3.2-1
Requires: libvorbis >= 1.3.5-1

%description
libsndfile is a C library for reading and writing sound files such as
AIFF, AU and WAV files through one standard interface. It can currently
read/write 8, 16, 24 and 32-bit PCM files as well as 32-bit and
64-bit floating point WAV files and a number of compressed formats. It
compiles and runs on *nix, MacOS, and Win32.

The library is available as 32-bit and 64-bit.


%package devel
Summary: Libraries, includes, etc to develop libsndfile applications
Group: Libraries
Requires: %{name} = %{version}-%{release}
Requires: sqlite-devel >= 3.9.2.0-1

%description devel
libsndfile is a C library for reading and writing sound files such as
AIFF, AU, WAV, and others through one standard interface.
This package contains files needed to develop with libsndfile.


%package utils
Summary: Command Line Utilities for libsndfile
Group: Applications/Multimedia
Requires: %{name} = %{version}-%{release}
Obsoletes: libsndfile < 1.0.20-1

%description utils
libsndfile is a C library for reading and writing sound files such as
AIFF, AU, WAV, and others through one standard interface.
This package contains commandline utilities for libsndfile.


%prep
%setup -q
%patch0


%build
export CONFIG_SHELL=/usr/bin/ksh
export CONFIG_ENV_ARGS=/usr/bin/ksh

export CC="cc -qcpluscmt -Dinline=__inline"

# our flac packages don't have a pkgconfig file
export FLAC_CFLAGS="-I%{_includedir}/FLAC"
export FLAC_LIBS="-L%{_libdir} -lFLAC -lm"

# first build the 64-bit version
export OBJECT_MODE=64
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --enable-shared --disable-static
gmake %{?_smp_mflags}

cp ./src/.libs/%{name}.so.1 .
gmake distclean

# now build the 32-bit version
export OBJECT_MODE=32
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --enable-shared --disable-static
gmake %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
gmake DESTDIR=${RPM_BUILD_ROOT} install

rm -rf __docs
cp -pR ${RPM_BUILD_ROOT}%{_datadir}/doc/libsndfile __docs
rm -rf ${RPM_BUILD_ROOT}%{_datadir}/doc/libsndfile

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared objects
/usr/bin/ar -X64 -q ${RPM_BUILD_ROOT}%{_libdir}/%{name}.a ./%{name}.so.1

(
  cd ${RPM_BUILD_ROOT}
  for dir in bin include lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_libdir}/*.a
/usr/lib/*.a


%files utils
%defattr(-,root,system)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_bindir}/*
%{_mandir}/man1/*
/usr/bin/*


%files devel
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%doc __docs/*
%defattr(-,root,system)
%{_libdir}/*.la
%{_libdir}/pkgconfig/sndfile.pc
%{_includedir}/*
/usr/lib/*.la
/usr/include/*


%changelog
* Mon Nov 21 2011 Michael Perzl <michael@perzl.org> - 1.0.26-1
- updated to version 1.0.26

* Mon Nov 21 2011 Michael Perzl <michael@perzl.org> - 1.0.25-1
- updated to version 1.0.25

* Wed Mar 23 2011 Michael Perzl <michael@perzl.org> - 1.0.24-1
- updated to version 1.0.24

* Tue Oct 12 2010 Michael Perzl <michael@perzl.org> - 1.0.23-1
- updated to version 1.0.23

* Tue Oct 05 2010 Michael Perzl <michael@perzl.org> - 1.0.22-1
- updated to version 1.0.22

* Fri Apr 16 2010 Michael Perzl <michael@perzl.org> - 1.0.21-1
- updated to version 1.0.21

* Tue Dec 01 2009 Michael Perzl <michael@perzl.org> - 1.0.20-1
- updated to version 1.0.20
- split utils into a subpackage

* Thu Jul 23 2009 Michael Perzl <michael@perzl.org> - 1.0.13-2
- some spec file fixes and added 64-bit library

* Tue Jan 24 2006 Michael Perzl <michael@perzl.org> - 1.0.13-1
- first version for AIX V5.1 and higher
